zenilib: android_app Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
android_app Struct Reference

`#include <android_native_app_glue.h>`

## Public Attributes

ANativeActivity * | activity
int | activityState
struct android_poll_source | cmdPollSource
pthread_cond_t | cond
AConfiguration * | config
ARect | contentRect
int | destroyed
int | destroyRequested
struct android_poll_source | inputPollSource
AInputQueue * | inputQueue
ALooper * | looper
int | msgread
int | msgwrite
pthread_mutex_t | mutex
void(* | onAppCmd )(struct android_app *app, int32_t cmd)
int32_t(* | onInputEvent )(struct android_app *app, AInputEvent *event)
ARect | pendingContentRect
AInputQueue * | pendingInputQueue
ANativeWindow * | pendingWindow
int | redrawNeeded
int | running
void * | savedState
size_t | savedStateSize
int | stateSaved
pthread_t | thread
void * | userData
ANativeWindow * | window

## Detailed Description

This is the interface for the standard glue code of a threaded application. In this model, the application's code is running in its own thread separate from the main thread of the process. It is not required that this thread be associated with the Java VM, although it will need to be in order to make JNI calls any Java objects.

Definition at line 111 of file android_native_app_glue.h.

## Member Data Documentation

ANativeActivity* android_app::activity

Definition at line 126 of file android_native_app_glue.h.

int android_app::activityState

Definition at line 158 of file android_native_app_glue.h.

struct android_poll_source android_app::cmdPollSource

Definition at line 175 of file android_native_app_glue.h.

pthread_cond_t android_app::cond

Definition at line 168 of file android_native_app_glue.h.

AConfiguration* android_app::config

Definition at line 129 of file android_native_app_glue.h.

ARect android_app::contentRect

Definition at line 154 of file android_native_app_glue.h.

int android_app::destroyed

Definition at line 180 of file android_native_app_glue.h.

int android_app::destroyRequested

Definition at line 162 of file android_native_app_glue.h.

Referenced by android_main().

struct android_poll_source android_app::inputPollSource

Definition at line 176 of file android_native_app_glue.h.

AInputQueue* android_app::inputQueue

Definition at line 147 of file android_native_app_glue.h.

ALooper* android_app::looper

Definition at line 143 of file android_native_app_glue.h.

Referenced by android_main().

int android_app::msgread

Definition at line 170 of file android_native_app_glue.h.

int android_app::msgwrite

Definition at line 171 of file android_native_app_glue.h.

pthread_mutex_t android_app::mutex

Definition at line 167 of file android_native_app_glue.h.

void(* android_app::onAppCmd)(struct android_app *app, int32_t cmd)

Definition at line 117 of file android_native_app_glue.h.

Referenced by android_main().

int32_t(* android_app::onInputEvent)(struct android_app *app, AInputEvent *event)

Definition at line 123 of file android_native_app_glue.h.

Referenced by android_main().

ARect android_app::pendingContentRect

Definition at line 184 of file android_native_app_glue.h.

AInputQueue* android_app::pendingInputQueue

Definition at line 182 of file android_native_app_glue.h.

ANativeWindow* android_app::pendingWindow

Definition at line 183 of file android_native_app_glue.h.

int android_app::redrawNeeded

Definition at line 181 of file android_native_app_glue.h.

int android_app::running

Definition at line 178 of file android_native_app_glue.h.

void* android_app::savedState

Definition at line 139 of file android_native_app_glue.h.

Referenced by android_main().

size_t android_app::savedStateSize

Definition at line 140 of file android_native_app_glue.h.

int android_app::stateSaved

Definition at line 179 of file android_native_app_glue.h.

pthread_t android_app::thread

Definition at line 173 of file android_native_app_glue.h.

void* android_app::userData

Definition at line 114 of file android_native_app_glue.h.

Referenced by android_main(), and engine_handle_cmd().

ANativeWindow* android_app::window

Definition at line 150 of file android_native_app_glue.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni_core/android_native_app_glue.h